/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2015
 * @version 1.5
 * @date 15/08/2015
 * @compatibility pluxml 5.4.0
 */

(function () {	// initialisation

	/**
     * Cache les options de l'lment select
     *
     * @param string Id de la balise select
     * @param string Valeur de l'option  cacher de la balise select
     * @return void
     */
	function hideSelectOptions(selectId, optionValue)
	{
        var selectElement = document.getElementById(selectId);   
        var opts = selectElement.options;
        
        for (var i = 0; i < opts.length; i++) {
			var optValue = opts[i].value;

			if (optValue === optionValue) {    			 
               selectElement.removeChild(opts[i]);
			}	
		}  
        
        return true;        
	}

    // -------------------------------------------------------------------
    
	/**
     * Cache le block contenant l'lment select et le bouton OK
     *
     * @param string Id de la balise select
     * @return void
     */
	function hideSelectBlock(selectId)
	{
        var selectElement = document.getElementById(selectId);        
        var sibling = selectElement.nextSibling;
        
        while (sibling.nodeName !== "INPUT" || sibling.type != "submit") {
            sibling = sibling.nextSibling;    
        }
        
        sibling.style.display = "none";
        selectElement.style.display = "none";
                
        return true;
    }

    // -------------------------------------------------------------------
    
	/**
     * Cache l'item du menu
     *
     * @param string Nom de la class du tableau
     * @param string Valeur de l'attribut href du lien de l'item
     * @return void
     */
	function removeLinkCellsInTable(tableId, hrefValue)
	{
		var tableElement = document.getElementById(tableId);        
        var aElements = tableElement.getElementsByTagName("a");

        for (var i = 0; i < aElements.length; i++) {
            var aHref = aElements.item(i).href;

			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
               var tdElement = aElements.item(i).parentNode;
               var content = aElements.item(i).firstChild;

               tdElement.replaceChild(content, aElements.item(i));
               i--;
			}	
        }
        
        return true;
	}
     
    // -------------------------------------------------------------------

	function init()
	{
        if (! plugin_adm_user_rights["art"]["del"]) {
            hideSelectBlock("id_selection");
        }
        
        if (! plugin_adm_user_rights["art"]["edit"]) {
            removeLinkCellsInTable("articles-table", "article.php");
        }
        
        if (! plugin_adm_user_rights["comm"]["edit"]) {
            removeLinkCellsInTable("articles-table", "comments.php");
        }
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();